from mastodon import Mastodon
from sys import argv

if len(argv) < 4:
    print(f"Usage: python3 {argv[0]} <config-name> <application-name> <instance-url>")
    exit()

Mastodon.create_app(argv[2], scopes=["write:media", "write:statuses"], to_file=f"auth/{argv[1]}.client.secret", api_base_url=argv[3])
mastodon = Mastodon(client_id=f"auth/{argv[1]}.client.secret", api_base_url=argv[3])
print(mastodon.auth_request_url(scopes=["write:media", "write:statuses"]))
mastodon.log_in(code=input("Code="), scopes=["write:media", "write:statuses"], to_file=f"auth/{argv[1]}.auth.secret")
