{ pkgs ? import <nixpkgs> { } }:
pkgs.mkShell {
  packages = [
    (pkgs.python3.withPackages (python-packages: [
      python-packages.black
      python-packages.pip
      python-packages.virtualenv
    ]))
  ];

  shellHook = ''
    python3 -m venv .venv
    source .venv/bin/activate
  '';
}
