# Fedi Board Bot

A bot that posts random images from image boards to Mastodon, Iceshrimp, Sharkey or Akkoma.

## Config

Copy `config/example.json.example` and remove the `.example` from the end. All fields are explained in the file. Config names should not have any spaces.

When config-name is mentioned later do not include the `.json` extension.

## Usage

Install the requirements. You should ideally do this in a venv.

```sh
pip install -r requirements.txt
```

For every new config generate a login token by running

```sh
python3 login.py <config-name> <application-name> <instance-url>
```

Run the bot by running

```sh
python3 bot.py <config-name>
```

Use the environment variables `BOARD_API_KEY` and `BOARD_USERNAME` to login with danbooru.
